package cn.chnmuseum.party.service.impl;

import cn.chnmuseum.party.service.IHotProductActivityService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import cn.chnmuseum.party.mapper.HotProductActivityMapper;
import cn.chnmuseum.party.model.HotProductActivity;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * 热门产品活动信息表 服务实现类
 * </p>
 *
 * @author 杨智平
 * @since 2018-08-29
 */
@Service
public class HotProductActivityServiceImpl extends ServiceImpl<HotProductActivityMapper, HotProductActivity> implements IHotProductActivityService {

    @Resource
    private HotProductActivityMapper hotProductActivityMapper;

    public Page<HotProductActivity> getProActList(Page<HotProductActivity> page, Map<String,Object> map) {
        page.setRecords(hotProductActivityMapper.getProActList(page, map));
        return page;
    }
}
